import React from 'react';

import { AutofillRetrieveResponse } from '@mapbox/search-js-core';
import { AddressAutofill } from '../src';

const ACCESS_TOKEN =
  'pk.eyJ1Ijoic2VhcmNoLWZlZGVyYXRpb24tZXhlcmNpc2VyIiwiYSI6ImNranl6YnZieDAybHoydW55NDc4ajRvczgifQ.Sb6NwuJ4SjD3ITnp0DdJBA';

export function Component(): React.ReactElement {
  const [value, setValue] = React.useState('');
  const [text, setText] = React.useState('');

  const handleRetrieve = React.useCallback(
    (res: AutofillRetrieveResponse) => {
      const feature = res.features[0];
      setText(feature.properties.full_address);
    },
    [setText]
  );

  return (
    <form>
      <AddressAutofill accessToken={ACCESS_TOKEN} onRetrieve={handleRetrieve}>
        <input
          autoComplete="shipping address-line1"
          value={value}
          onChange={(e) => setValue(e.target.value)}
          style={{
            border: '1px solid black',
            marginTop: 200,
            borderRadius: 6
          }}
        />
      </AddressAutofill>
      <p>{text}</p>
    </form>
  );
}
